Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603706 - cifs: busy file renames across directories should fail with error
cifs: busy file renames across directories should fail with error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
high Severity medium
: rc
: ---
Assigned To: Jeff Layton
yanfu,wang
:
Depends On: 591938 603707
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 08:16 EDT by Jeff Layton
Modified: 2014-06-18 03:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591938
: 603707 (view as bug list)
Environment:
Last Closed: 2011-01-13 16:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Comment 2 RHEL Product and Program Management 2010-06-14 09:29:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jarod Wilson 2010-07-12 11:47:00 EDT
in kernel-2.6.18-206.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 6 yanfu,wang 2010-10-21 04:14:33 EDT
can reproduced on rhel5-u5:
[root@amd-ma78gm-02 mnt]# ls -l
total 0
-rwxrwSrwx 1 root root 1528 Oct 21  2010 aa
drwxrwxrwx 2 root root    0 Oct 21  2010 done
[root@amd-ma78gm-02 mnt]# mv aa done/bb
[root@amd-ma78gm-02 mnt]# ls -l
total 4
-rwxrwSrwx 1 root root 2512 Oct 21  2010 bb
drwxrwxrwx 1 root root    0 Oct 21  2010 done
[root@amd-ma78gm-02 mnt]# ls -l done/
total 0

verified on RHEL5.6-Server-20101014.0 on i386 and x86_64:
# mv aa done/bb
mv: cannot move `aa' to `done/bb': Text file busy
# uname -a
Linux dell-t5500-01.lab.bos.redhat.com 2.6.18-227.el5 #1 SMP Tue Oct 12 18:50:50 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 8 errata-xmlrpc 2011-01-13 16:37:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.